Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 670720 - dev-haskell/text : not independent of ghc version
Summary: dev-haskell/text : not independent of ghc version
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-09 01:03 UTC by Klaus Ethgen
Modified: 2018-12-03 00:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Ethgen 2018-11-09 01:03:32 UTC
The version of dev-haskell/text has to be the same as build in into ghc.

Currently I stumbled over a version mismatch between ghc-8.4.3 (from haskell overlay) and
dev-haskell/text-1.2.3.1. The version bundled in ghc is 1.2.3.0.

When ghc and dev-haskell/text does not match, packages use _both_ versions and fail to compile
badly.

Combinations that I seen is:
ghc-8.4.3: dev-haskell/text-1.2.3.0
ghc-8.4.4: dev-haskell/text-1.2.3.1

The same is valid for the versions in main gentoo repo.
Comment 1 Sergei Trofimovich gentoo-dev 2018-12-03 00:11:26 UTC
(In reply to Klaus Ethgen from comment #0)
> The version of dev-haskell/text has to be the same as build in into ghc.

That's correct. We'll need to fix eclass to enforce that match.